VWSとは フォーラム Lightning [ 解決済 ] vk-blocks-proを更新すると重大なエラーが発生する

[ 解決済 ] vk-blocks-proを更新すると重大なエラーが発生する

タグ: 

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #32560

    隆二新田
    参加者

    新規にドメインを取得して、Lightning Pro(子テーマ)を有効化。
    vk-blocks-proをインストールして、管理画面より最新に更新すると
    重大なエラーが発生し、管理画面にアクセス出来なくなってしまいました。

    WordPress バーション5.3.2
    現在のテーマ: Lightning Pro Child Sample (バージョン 0.0.0)
    インストールプラグイン:vk-blocks-pro
    PHP バージョン7.2.27

    【エラーメッセージ】
    Fatal error: Cannot declare class VK_Component_Button, because the name is already in use in
    /home/XXXXXX/XXXXXX/public_html/wp-content/themes/lightning-pro/inc/components/class-vk-component-button.php on line 5

    ※サイト名はXXXXXに訂正しております

    サイトに重大なエラーがありました。
    エラーメッセージ: Cannot declare class VK_Component_Button, because the name is already in use

    対処法が分からず、いったんワードプレスとMY SQLをサーバーより削除しました。

    再度同じことを試してみましたが、やはりvk-blocks-proを更新すると同じ事象が発生します。
    (プラグインにvk-blocks-pro以外は入れていません)

    対象方法が分かる方、ご教授願えますでしょうか?
    よろしくお願い致します。

    #32565

    DRILL LANCER
    モデレーター

    組み合わせの問題と思われます。
    おそらく、Lightning Pro を更新してから有効化すると正常に動作しそうな気がします。

    私の正常に動作している組み合わせは下記のとおりです。
    Lightning Pro: 3.2.2 (子テーマを使用)
    VK Blocks Pro: 0.22.3

    #32573

    隆二新田
    参加者

    ご指摘の通りに対応したらトラブル解消しました。

    大変助かりました、ありがとうございました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • このトピックに返信するにはログインが必要です。